(v1.0) LS Central lsforecast API (1.0.0)

Download OpenAPI specification:

(v1.0) LS Central lsforecast API for Dynamics 365 Business Central. Published by the LS Central AL API pages at /api/lsretail/lsforecast/v1.0.

Forecast Entry

Deprecated: Moved to the Replenishment for LS Central extension.

Get forecastEntries from companies Deprecated

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

query Parameters
$top
number <int64> >= 0
Example: $top=50

Show only the first n items

$skip
number <int64> >= 0

Skip the first n items

$search
string

Search items by search phrases

$filter
string

Filter items by property values

$count
boolean

Include count of items

$orderby
Array of strings unique

Order items by property values

$select
Array of strings unique
Items Enum: "itemno" "variantcode" "locationcode" "date" "qty" "qtylower" "qtyupper" "downloadedqty" "downloadedqtylower" "downloadedqtyupper" "forecastquality" "locdim1code" "locdim1liftvalue" "locdim2code" "locdim2liftvalue" "locdim3code" "locdim3liftvalue" "locdim4code" "locdim4liftvalue" "locdim5code" "locdim5liftvalue" "itemdim1code" "itemdim1liftvalue" "itemdim2code" "itemdim2liftvalue"

Select properties to be returned

$expand
Array of strings unique

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "value": [
    ]
}

Create new navigation property to forecastEntries for companies Deprecated

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

Request Body schema: application/json
required

New navigation property

itemno
string <= 20 characters
variantcode
string <= 10 characters
locationcode
string <= 10 characters
date
string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...
qty
null or number <decimal>
qtylower
null or number <decimal>
qtyupper
null or number <decimal>
downloadedqty
null or number <decimal>
downloadedqtylower
null or number <decimal>
downloadedqtyupper
null or number <decimal>
forecastquality
null or number <decimal>
locdim1code
null or string <= 20 characters
locdim1liftvalue
null or number <decimal>
locdim2code
null or string <= 20 characters
locdim2liftvalue
null or number <decimal>
locdim3code
null or string <= 20 characters
locdim3liftvalue
null or number <decimal>
locdim4code
null or string <= 20 characters
locdim4liftvalue
null or number <decimal>
locdim5code
null or string <= 20 characters
locdim5liftvalue
null or number <decimal>
itemdim1code
null or string <= 20 characters
itemdim1liftvalue
null or number <decimal>
itemdim2code
null or string <= 20 characters
itemdim2liftvalue
null or number <decimal>

Responses

Request samples

Content type
application/json
{
  • "itemno": "string",
  • "variantcode": "string",
  • "locationcode": "string",
  • "date": "2019-08-24",
  • "qty": null,
  • "qtylower": null,
  • "qtyupper": null,
  • "downloadedqty": null,
  • "downloadedqtylower": null,
  • "downloadedqtyupper": null,
  • "forecastquality": null,
  • "locdim1code": null,
  • "locdim1liftvalue": null,
  • "locdim2code": null,
  • "locdim2liftvalue": null,
  • "locdim3code": null,
  • "locdim3liftvalue": null,
  • "locdim4code": null,
  • "locdim4liftvalue": null,
  • "locdim5code": null,
  • "locdim5liftvalue": null,
  • "itemdim1code": null,
  • "itemdim1liftvalue": null,
  • "itemdim2code": null,
  • "itemdim2liftvalue": null
}

Response samples

Content type
application/json
{
  • "itemno": "string",
  • "variantcode": "string",
  • "locationcode": "string",
  • "date": "2019-08-24",
  • "qty": null,
  • "qtylower": null,
  • "qtyupper": null,
  • "downloadedqty": null,
  • "downloadedqtylower": null,
  • "downloadedqtyupper": null,
  • "forecastquality": null,
  • "locdim1code": null,
  • "locdim1liftvalue": null,
  • "locdim2code": null,
  • "locdim2liftvalue": null,
  • "locdim3code": null,
  • "locdim3liftvalue": null,
  • "locdim4code": null,
  • "locdim4liftvalue": null,
  • "locdim5code": null,
  • "locdim5liftvalue": null,
  • "itemdim1code": null,
  • "itemdim1liftvalue": null,
  • "itemdim2code": null,
  • "itemdim2liftvalue": null
}

Get forecastEntries from companies Deprecated

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

itemno
required
string <= 20 characters

Property in multi-part unique identifier of forecastEntry

variantcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

locationcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

date
required
string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Property in multi-part unique identifier of forecastEntry

query Parameters
$select
Array of strings unique
Items Enum: "itemno" "variantcode" "locationcode" "date" "qty" "qtylower" "qtyupper" "downloadedqty" "downloadedqtylower" "downloadedqtyupper" "forecastquality" "locdim1code" "locdim1liftvalue" "locdim2code" "locdim2liftvalue" "locdim3code" "locdim3liftvalue" "locdim4code" "locdim4liftvalue" "locdim5code" "locdim5liftvalue" "itemdim1code" "itemdim1liftvalue" "itemdim2code" "itemdim2liftvalue"

Select properties to be returned

$expand
Array of strings unique

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "itemno": "string",
  • "variantcode": "string",
  • "locationcode": "string",
  • "date": "2019-08-24",
  • "qty": null,
  • "qtylower": null,
  • "qtyupper": null,
  • "downloadedqty": null,
  • "downloadedqtylower": null,
  • "downloadedqtyupper": null,
  • "forecastquality": null,
  • "locdim1code": null,
  • "locdim1liftvalue": null,
  • "locdim2code": null,
  • "locdim2liftvalue": null,
  • "locdim3code": null,
  • "locdim3liftvalue": null,
  • "locdim4code": null,
  • "locdim4liftvalue": null,
  • "locdim5code": null,
  • "locdim5liftvalue": null,
  • "itemdim1code": null,
  • "itemdim1liftvalue": null,
  • "itemdim2code": null,
  • "itemdim2liftvalue": null
}

Update the navigation property forecastEntries in companies Deprecated

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

itemno
required
string <= 20 characters

Property in multi-part unique identifier of forecastEntry

variantcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

locationcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

date
required
string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Property in multi-part unique identifier of forecastEntry

Request Body schema: application/json

New navigation property values

itemno
string <= 20 characters
variantcode
string <= 10 characters
locationcode
string <= 10 characters
date
string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...
qty
null or number <decimal>
qtylower
null or number <decimal>
qtyupper
null or number <decimal>
downloadedqty
null or number <decimal>
downloadedqtylower
null or number <decimal>
downloadedqtyupper
null or number <decimal>
forecastquality
null or number <decimal>
locdim1code
null or string <= 20 characters
locdim1liftvalue
null or number <decimal>
locdim2code
null or string <= 20 characters
locdim2liftvalue
null or number <decimal>
locdim3code
null or string <= 20 characters
locdim3liftvalue
null or number <decimal>
locdim4code
null or string <= 20 characters
locdim4liftvalue
null or number <decimal>
locdim5code
null or string <= 20 characters
locdim5liftvalue
null or number <decimal>
itemdim1code
null or string <= 20 characters
itemdim1liftvalue
null or number <decimal>
itemdim2code
null or string <= 20 characters
itemdim2liftvalue
null or number <decimal>

Responses

Request samples

Content type
application/json
{
  • "itemno": "string",
  • "variantcode": "string",
  • "locationcode": "string",
  • "date": "2019-08-24",
  • "qty": null,
  • "qtylower": null,
  • "qtyupper": null,
  • "downloadedqty": null,
  • "downloadedqtylower": null,
  • "downloadedqtyupper": null,
  • "forecastquality": null,
  • "locdim1code": null,
  • "locdim1liftvalue": null,
  • "locdim2code": null,
  • "locdim2liftvalue": null,
  • "locdim3code": null,
  • "locdim3liftvalue": null,
  • "locdim4code": null,
  • "locdim4liftvalue": null,
  • "locdim5code": null,
  • "locdim5liftvalue": null,
  • "itemdim1code": null,
  • "itemdim1liftvalue": null,
  • "itemdim2code": null,
  • "itemdim2liftvalue": null
}

Response samples

Content type
application/json
{
  • "error": {
    }
}

Delete navigation property forecastEntries for companies Deprecated

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

itemno
required
string <= 20 characters

Property in multi-part unique identifier of forecastEntry

variantcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

locationcode
required
string <= 10 characters

Property in multi-part unique identifier of forecastEntry

date
required
string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Property in multi-part unique identifier of forecastEntry

header Parameters
If-Match
string

ETag

Responses

Response samples

Content type
application/json
{
  • "error": {
    }
}

Company

Get entities from companies

Authorizations:
oAuth2basicAuth
query Parameters
$top
number <int64> >= 0
Example: $top=50

Show only the first n items

$skip
number <int64> >= 0

Skip the first n items

$search
string

Search items by search phrases

$filter
string

Filter items by property values

$count
boolean

Include count of items

$orderby
Array of strings unique

Order items by property values

$select
Array of strings unique
Items Enum: "id" "systemVersion" "timestamp" "name" "displayName" "businessProfileId" "systemCreatedAt" "systemCreatedBy" "systemModifiedAt" "systemModifiedBy"

Select properties to be returned

$expand
Array of strings unique
Items Value: "forecastEntries"

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "value": [
    ]
}

Get entity from companies by key

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

query Parameters
$select
Array of strings unique
Items Enum: "id" "systemVersion" "timestamp" "name" "displayName" "businessProfileId" "systemCreatedAt" "systemCreatedBy" "systemModifiedAt" "systemModifiedBy"

Select properties to be returned

$expand
Array of strings unique
Items Value: "forecastEntries"

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "systemVersion": null,
  • "timestamp": null,
  • "name": null,
  • "displayName": null,
  • "businessProfileId": null,
  • "systemCreatedAt": null,
  • "systemCreatedBy": null,
  • "systemModifiedAt": null,
  • "systemModifiedBy": null,
  • "forecastEntries": [
    ]
}